package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.compensation.app.*;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class HandMacDeposit extends HRBillBase implements IHandMacDeposit
{
    public HandMacDeposit()
    {
        super();
        registerInterface(IHandMacDeposit.class, this);
    }
    public HandMacDeposit(Context ctx)
    {
        super(ctx);
        registerInterface(IHandMacDeposit.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("CD22A6C7");
    }
    private HandMacDepositController getController() throws BOSException
    {
        return (HandMacDepositController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public HandMacDepositCollection getHandMacDepositCollection() throws BOSException
    {
        try {
            return getController().getHandMacDepositCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public HandMacDepositCollection getHandMacDepositCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getHandMacDepositCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public HandMacDepositCollection getHandMacDepositCollection(String oql) throws BOSException
    {
        try {
            return getController().getHandMacDepositCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public HandMacDepositInfo getHandMacDepositInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getHandMacDepositInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public HandMacDepositInfo getHandMacDepositInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getHandMacDepositInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public HandMacDepositInfo getHandMacDepositInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getHandMacDepositInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}